### Method

# Foundry FileManager find_symbolic_icon

#### Declaration [src]

    GIcon*
    foundry_file_manager_find_symbolic_icon (
      FoundryFileManager* self,
      const char* content_type,
      const char* filename
    )

#### Description [src]

Either `content_type` or `filename` should be provided, or both.

This function is similar to `g_content_type_get_symbolic_icon()` except that it takes our bundled icons into account to ensure that they are taken at a higher priority than the fallbacks from the current icon theme.

#### Parameters

`self`

  Type: `FoundryFileManager`

  No description available.

  The argument can be `NULL`.

`content_type`

  Type: `const char*`

  Optional content-type to lookup.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`filename`

  Type: `const char*`

  Optional filename.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GIcon`

A `GIcon` or `NULL`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.